aboutsummaryrefslogtreecommitdiffstats
path: root/website
diff options
context:
space:
mode:
Diffstat (limited to 'website')
-rwxr-xr-xwebsite/host-scripts/upload-website.sh14
-rw-r--r--website/index.html35
2 files changed, 23 insertions, 26 deletions
diff --git a/website/host-scripts/upload-website.sh b/website/host-scripts/upload-website.sh
index eec2061f..35613402 100755
--- a/website/host-scripts/upload-website.sh
+++ b/website/host-scripts/upload-website.sh
@@ -1,20 +1,20 @@
#! /bin/sh
-# Script to upload fetchmail website from SVN repository
-# (C) 2008 - 2009 by Matthias Andree. GNU GPL v3.
+# Script to upload fetchmail website from Git repository
+# (C) 2008 - 2010 by Matthias Andree. GNU GPL v3.
: ${BERLIOS_LOGIN=m-a}
# abort on error
-set -e
+set -eu
# cd to parent of script
-cd $(dirname "$0")
+cd "$(dirname "$0")"
cd ..
echo "==> Running sanity checks"
# make sure we have no dangling symlinks
-if file * | egrep broken\|dangling ; then
+if LC_ALL=C file * | egrep broken\|dangling ; then
echo "broken symlinks -> abort" >&2
exit 1
fi
@@ -27,7 +27,7 @@ rsync \
--chmod=ug=rwX,o=rX,Dg=s --perms \
--copy-links --times --checksum --verbose \
--exclude host-scripts \
- --exclude .svn --exclude '*~' --exclude '#*#' \
+ --exclude .git --exclude '*~' --exclude '#*#' \
* \
"$BERLIOS_LOGIN@shell.berlios.de:/home/groups/fetchmail/htdocs/" &
pids="$pids $!"
@@ -37,7 +37,7 @@ rsync \
--chmod=ug=rwX,o=rX,Dg=s --perms \
--copy-links --times --checksum --verbose \
--exclude host-scripts \
- --exclude .svn --exclude '*~' --exclude '#*#' \
+ --exclude .git --exclude '*~' --exclude '#*#' \
* \
$HOME/public_html/fetchmail/info/ &
pids="$pids $!"
diff --git a/website/index.html b/website/index.html
index e517d10e..2cca1f82 100644
--- a/website/index.html
+++ b/website/index.html
@@ -29,7 +29,7 @@
<a href="fetchmail-FAQ.pdf" title="Fetchmail FAQ as PDF">FAQ (PDF)</a><br>
<a href="design-notes.html">Design Notes</a><br>
<a href="http://developer.berlios.de/project/showfiles.php?group_id=1824">Download</a><br>
- <a href="http://mknod.org/svn/fetchmail/">Development Code</a><br>
+ <a href="http://gitorious.org/fetchmail/fetchmail/">Development Code</a><br>
<a href="http://developer.berlios.de/projects/fetchmail/">Project Page</a><br>
<hr>
</div>
@@ -145,38 +145,35 @@ for discussion of some of the design choices in fetchmail.</p>
<p>See the project's <a href="todo.html">To-Do list</a> for indications
of known problems and requested features.</p>
-<p>The developers use <a
-href="http://subversion.tigris.org/">Subversion</a> for revision control.
-To get the latest development version, point your subversion client at <a
-href="http://mknod.org/svn/fetchmail/trunk/">http://mknod.org/svn/fetchmail/trunk/</a>.</p>
+<p>The developers use <a href="http://git-scm.com/">Git</a> for revision
+control. To browse the repository or to get the latest development version,
+find the instructions at <a href="http://gitorious.org/fetchmail/fetchmail">http://gitorious.org/fetchmail/fetchmail</a>.</p>
-<p>See the <a
-href="http://developer.berlios.de/projects/fetchmail/">project
+<p>See the <a href="http://developer.berlios.de/projects/fetchmail/">project
page</a> for more, including <a
-href="http://developer.berlios.de/project/showfiles.php?group_id=1824">downloads</a>.
-(However, note that we no longer use the subversion repository that Berlios provides.)</p>
+href="http://developer.berlios.de/project/showfiles.php?group_id=1824">downloads</a>.</p>
<h1>Getting help with fetchmail:</h1>
-<p>
-There is a fetchmail-users list for help and other user discussion
+<p>Before submitting a question anywhere, <strong>please read the <a
+href="fetchmail-FAQ.html">FAQ</a></strong> (especially item <a
+href="fetchmail-FAQ.html#G3">G3</a> on how to report problems). We tend to get
+the same three newbie questions over and over again. The FAQ covers them like
+a blanket.</p>
+
+<p>There is a fetchmail-users list for help and other user discussion
of fetchmail. It's a MailMan list, which you can sign up for at <a
href="http://lists.berlios.de/mailman/listinfo/fetchmail-users">
-fetchmail-users@lists.berlios.de</a>. There is also a
+fetchmail-users@lists.berlios.de</a>.
+<br>There is also a
fetchmail-devel list for people who want to discuss fixes and
improvements in fetchmail and help co-develop it. That one is at <a
href="http://lists.berlios.de/mailman/listinfo/fetchmail-devel">
fetchmail-devel@lists.berlios.de</a>.
-Finally, there is an announcements-only list, <a
+<br>Finally, there is an announcements-only list, <a
href="http://lists.berlios.de/mailman/listinfo/fetchmail-announce">
fetchmail-announce@lists.berlios.de</a>.</p>
-<p>Note: before submitting a question to the lists, <strong>please read
-the <a href="fetchmail-FAQ.html">FAQ</a></strong> (especially item <a
-href="fetchmail-FAQ.html#G3">G3</a> on how to report bugs). We
-tend to get the same three newbie questions over and over again. The
-FAQ covers them like a blanket.</p>
-
<h1>Maintainer History</h1>
<p>Fetchmail originated as a program called <i>popclient</i>, written
by Carl Harris. In 1996, <a href="http://www.catb.org/~esr/">Eric